Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.component
Class DefaultComponentLifecycleAdapterFactory

    java.lang.Object
      org.mule.component.DefaultComponentLifecycleAdapterFactory

All Implemented Interfaces:
  LifecycleAdapterFactory

    public class DefaultComponentLifecycleAdapterFactory

extends Object
implements LifecycleAdapterFactory

`DefaultComponentLifecycleAdapterFactory` creates a DefaultComponentLifecycleAdapter. Users can implement their own LifeCycleAdapter factories to control lifecycle events on their services such as introduce other lifecycle events that are controlled by external changes.

See Also:
  `LifecycleAdapter`, `LifecycleAdapterFactory`, `DefaultComponentLifecycleAdapter`, `DefaultComponentLifecycleAdapterFactory`

Constructor Summary
`DefaultComponentLifecycleAdapterFactory()`

Method Summary
`LifecycleAdapter` | `create(Object pojoService, JavaComponent component, FlowConstruct flowConstruct, EntryPointResolverSet resolver, MuleContext muleContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultComponentLifecycleAdapterFactory

    public DefaultComponentLifecycleAdapterFactory()

Method Detail

### create

    public LifecycleAdapter create(Object pojoService,
                                   JavaComponent component,
                                   FlowConstruct flowConstruct,
                                   EntryPointResolverSet resolver,
                                   MuleContext muleContext)
                            throws MuleException

  Specified by:
    `create` in interface `LifecycleAdapterFactory`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.